KDE 4.9 PyKDE API Reference

- KDE's Python API

# MovingRangeFeedback Class Reference

`from PyKDE4.ktexteditor import *`

Namespace: KTextEditor

## Detailed Description

A class which provides notifications of state changes to a MovingRange.

This class provides notifications of changes to the position or contents of a MovingRange.

Before destruction, you must unregister the feedback class from any range using it.

Author:
  Christoph Cullmann <cullmann@kde.org>

Since:
  4.5

## Methods
| __init__ (self)
| caretEnteredRange (self, KTextEditor.MovingRange range, KTextEditor.View view)
| caretExitedRange (self, KTextEditor.MovingRange range, KTextEditor.View view)
| mouseEnteredRange (self, KTextEditor.MovingRange range, KTextEditor.View view)
| mouseExitedRange (self, KTextEditor.MovingRange range, KTextEditor.View view)
| rangeEmpty (self, KTextEditor.MovingRange range)
| rangeInvalid (self, KTextEditor.MovingRange range)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor

caretEnteredRange | ( | self, |
|  | KTextEditor.MovingRange | range,
|  | KTextEditor.View | view
| ) |  |  |

The caret on view entered range.

Parameters:

  | range | pointer to the range which generated the notification.

Parameters:

  | view | view over which the mouse moved to generate the notification

caretExitedRange | ( | self, |
|  | KTextEditor.MovingRange | range,
|  | KTextEditor.View | view
| ) |  |  |

The caret on view exited range.

Parameters:

  | range | pointer to the range which generated the notification.

Parameters:

  | view | view over which the mouse moved to generate the notification

mouseEnteredRange | ( | self, |
|  | KTextEditor.MovingRange | range,
|  | KTextEditor.View | view
| ) |  |  |

The mouse cursor on view entered range.

Parameters:

  | range | pointer to the range which generated the notification.

Parameters:

  | view | view over which the mouse moved to generate the notification

mouseExitedRange | ( | self, |
|  | KTextEditor.MovingRange | range,
|  | KTextEditor.View | view
| ) |  |  |

The mouse cursor on view exited range.

Parameters:

  | range | pointer to the range which generated the notification.

Parameters:

  | view | view over which the mouse moved to generate the notification

rangeEmpty | ( | self, |
|  | KTextEditor.MovingRange | range
| ) |  |  |

The range is now empty (ie. the start and end cursors are the same). If the range has invalidateIfEmpty set, this will never be emitted, but instead rangeInvalid is triggered. You may delete the range inside this method, but don't alter the range here (for example by using setRange).

Parameters:

  | range | pointer to the range which generated the notification.

rangeInvalid | ( | self, |
|  | KTextEditor.MovingRange | range
| ) |  |  |

The range is now invalid (ie. the start and end cursors are invalid). You may delete the range inside this method, but don't alter the range here (for example by using setRange).

Parameters:

  | range | pointer to the range which generated the notification.